Agora C++ API Reference for All Platforms

Public Types | Public Member Functions | Public Attributes | List of all members
agora::rtc::FaceShapeAreaOptions Struct Reference

## Public Types
enum | FACE_SHAPE_AREA { FACE_SHAPE_AREA_NONE = -1, FACE_SHAPE_AREA_HEADSCALE = 0, FACE_SHAPE_AREA_FOREHEAD = 1, FACE_SHAPE_AREA_FACECONTOUR = 2, FACE_SHAPE_AREA_FACELENGTH = 3, FACE_SHAPE_AREA_FACEWIDTH = 4, FACE_SHAPE_AREA_CHEEKBONE = 5, FACE_SHAPE_AREA_CHEEK = 6, FACE_SHAPE_AREA_CHIN = 7, FACE_SHAPE_AREA_EYESCALE = 8, FACE_SHAPE_AREA_NOSELENGTH = 9, FACE_SHAPE_AREA_NOSEWIDTH = 10, FACE_SHAPE_AREA_MOUTHSCALE = 11 }

## Public Member Functions
| FaceShapeAreaOptions (FACE_SHAPE_AREA shapeArea, int areaIntensity)
| FaceShapeAreaOptions ()

## Public Attributes
FACE_SHAPE_AREA | shapeArea
int | shapeIntensity

## Detailed Description

Face shape area options. This structure defines options for facial adjustments on different facial areas.

@technical preview

## Member Enumeration Documentation

## ◆ FACE_SHAPE_AREA

enum agora::rtc::FaceShapeAreaOptions::FACE_SHAPE_AREA

The specific facial area to be adjusted.

Enumerator
FACE_SHAPE_AREA_NONE | (Default) Invalid area.
FACE_SHAPE_AREA_HEADSCALE | Head Scale, reduces the size of head.
FACE_SHAPE_AREA_FOREHEAD | Forehead, adjusts the size of forehead.
FACE_SHAPE_AREA_FACECONTOUR | Face Contour, slims the facial contour.
FACE_SHAPE_AREA_FACELENGTH | Face Length, adjusts the length of face.
FACE_SHAPE_AREA_FACEWIDTH | Face Width, narrows the width of face.
FACE_SHAPE_AREA_CHEEKBONE | Cheekbone, adjusts the size of cheekbone.
FACE_SHAPE_AREA_CHEEK | Cheek, adjusts the size of cheek.
FACE_SHAPE_AREA_CHIN | Chin, adjusts the length of chin.
FACE_SHAPE_AREA_EYESCALE | Eye Scale, adjusts the size of eyes.
FACE_SHAPE_AREA_NOSELENGTH | Nose Length, adjusts the length of nose.
FACE_SHAPE_AREA_NOSEWIDTH | Nose Width, adjusts the width of nose.
FACE_SHAPE_AREA_MOUTHSCALE | Mouth Scale, adjusts the size of mouth.

## Constructor & Destructor Documentation

## ◆ FaceShapeAreaOptions() [1/2]

agora::rtc::FaceShapeAreaOptions::FaceShapeAreaOptions | ( | FACE_SHAPE_AREA | shapeArea,
|  | int | areaIntensity
| ) |  |
| inline

## ◆ FaceShapeAreaOptions() [2/2]

agora::rtc::FaceShapeAreaOptions::FaceShapeAreaOptions | ( |  | ) |
| inline

## Member Data Documentation

## ◆ shapeArea

FACE_SHAPE_AREA agora::rtc::FaceShapeAreaOptions::shapeArea

The specific facial area to be adjusted, See FACE_SHAPE_AREA.

## ◆ shapeIntensity

int agora::rtc::FaceShapeAreaOptions::shapeIntensity

The intensity of the pinching effect applied to the specified facial area. For the following area values: FACE_SHAPE_AREA_FOREHEAD, FACE_SHAPE_AREA_FACELENGTH, FACE_SHAPE_AREA_CHIN, FACE_SHAPE_AREA_NOSELENGTH, FACE_SHAPE_AREA_NOSEWIDTH, FACE_SHAPE_AREA_MOUTHSCALE, the value ranges from -100 to 100. The default value is 0. The greater the absolute value, the stronger the intensity applied to the specified facial area, and negative values indicate the opposite direction. For enumeration values other than the above, the value ranges from 0 to 100. The default value is 0. The greater the value, the stronger the intensity applied to the specified facial area.